namespace Foxcord.Gateway.Events.Commands;

public record HeartbeatCommand(long? Sequence) : IGatewayCommand
{
    public GatewayPacket ToGatewayPacket()
    {
        return new GatewayPacket
        {
            Opcode = GatewayOpcode.Heartbeat,
            Payload = Sequence
        };
    }
}